%define upstream_name    App-Trace
%define upstream_version 0.50

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 9

Summary:    Embedded debug statements, including call/return tracing
License:    GPLv1+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/App/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(App::Options)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildArch: noarch

%description
App::Trace provides debug/tracing support for perl programs and modules.

The basic concept is that you put a special call at the beginning and end
of each subroutine/method, and when tracing is enabled, you can see the
flow of your program.

This module reflects my dislike of the perl debugger. I also dislike
putting in print statements to debug, then commenting them out when I'm
done. I would rather put debug statements in my code and leave them there.
That way, when programs work their way into production, they can still be
debugged by using appropriate command line options.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make


%install
%makeinstall_std

%files
%doc TODO README META.yml CHANGES
%{_mandir}/man3/*
%perl_vendorlib/*




%changelog
* Tue Jul 11 2017 bb2 <bb2> - 0.500.0-9pclos2017
- rebuild against updates

